diff --git a/bin/openpgp-applet b/bin/openpgp-applet
index 5598080..e59835f 100755
--- a/bin/openpgp-applet
+++ b/bin/openpgp-applet
@@ -248,6 +248,10 @@ sub build_action_menu {
     $mmanage->signal_connect('activate' => sub { manage_keys(); });
     $action_menu->append($mmanage);
 
+    my $mtexteditor = Gtk2::MenuItem->new_with_mnemonic($encoding->decode(gettext("_Open Text Editor")));
+    $mtexteditor->signal_connect('activate' => sub { open_text_editor(); });
+    $action_menu->append($mtexteditor);
+
     return $action_menu;
 }
 
@@ -255,6 +259,10 @@ sub manage_keys {
     system("seahorse &");
 }
 
+sub open_text_editor {
+    system("gnome-text-editor &");
+}
+
 sub all_text_types {
     map { $_->{type} } @pgp_headers;
 }
-- 
2.1.4

